
Redmine - Defect #12116

Watchers added as a non-member doesn't receive emails notifications

2012-10-16 22:05 - Fernando Hartmann

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.1.2

Description

In #5159 we can include a project non-members as a watcher to the issue, but this watchers doesn't receive the emails notification

when the issues are updated.

Versions

Redmine 2.1.2

ruby 1.8.7 (2011-12-28 patchlevel 357) [i586-linux]

Rails 3.2.8

Related issues:

Is duplicate of Redmine - Defect #11888: No e-mail notification for non-membe... New

History

#1 - 2012-10-17 07:11 - Abdul Halim Mat Ali

Please apply the patch at http://www.redmine.org/issues/8488.

It works for me.

#2 - 2015-04-05 18:32 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Jean-Philippe Lang wrote in #11888#note-2 as follows:

If watchers are not allowed to view the issue (eg. issue from a private project), they won't be notified.

 Discussions are going on #11888. I close this issue as duplicate.

#3 - 2015-04-05 18:34 - Go MAEDA

- Related to deleted (Feature #8488: Create an 'Involve' mechanism to private issues)

#4 - 2015-04-05 18:34 - Go MAEDA

- Is duplicate of Defect #11888: No e-mail notification for non-members who are watchers added
